Subject: bug#66890: 29.1; buffer-size should also accept the buffer's name as string argument

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Nov 2023 07:35:30 +0200

> Cc: [email-masked]
> From: Daniel Nagy <[email-masked]>
> Date: Sat, 04 Nov 2023 20:57:41 +0000
> 
> In general, I would say that, if the computer can unambigously decide
> what is supposed to happen, it should help me and automatically correct
> my "mistakes".

IME, this is a somewhat dangerous tendency.  In practice, it is easy
for a program to mistakenly interpret invalid inputs as some
transformation of valid ones, and do something that is very far from
what the caller meant.  So whether to "correct mistakes" or fail the
call is largely a judgment call, and it is not an accident that most
APIs prefer to fail in those cases, reserving the "correction" path
only for documented polymorphic situations.